#pragma once

#include <SFML/Graphics.hpp>
#include <Color.h>
#include <Player.h>

struct Fruit
{
    Fruit() = default;
    Fruit(sf::Vector2i gridPos_in, const sf::Color& color_in = sf::Color::White);
	sf::Vector2u gridPos{};
	Color color{};

	sf::Vector2f windowPos(float gridSize_in);
    void respawn(const std::vector<SnakeNode>& body_in, sf::Vector2u gridCount_in);
};